#!/bin/bash

###############################################################################
#                                                                             #
#                           /etc/acpi/on_boot.sh                              #
#                               v2003.09.01                                   #
#                     written by Christopher Knoerle                          #
#                           mail@cknoerle.de                                  #
#                                                                             #
#                 called on boot to check for AC Adapter                      #
#                                                                             #
###############################################################################

# The latest version is available from
# http://cknoerle.homelinux.org/notebook/

# This works with kernel 2.4.20-gentoo-r6 on my HP Compaq nx9000 Laptop
# For more information have a look at http://cknoerle.homelinux.org/nx9000

# This should be placed in /etc/acpi/on_boot.sh and should be called
# through /etc/conf.d/local.start
# You can achieve this by doing the following:
# echo "/etc/acpi/on_boot.sh" >> /etc/conf.d/local.start


LOGGER=/usr/bin/logger # logs to syslog - an echo logs to /var/log/acpid
XGAMMA=/usr/X11R6/bin/xgamma
XSET=/usr/X11R6/bin/xset

#!/bin/bash

#test for ac
if grep -q 'off-line' /proc/acpi/ac_adapter/ACAD/state
then
   $LOGGER "[acpid] AC Adapter plugged OUT"

   if ps -A | grep -q X
   then
      # set gamma in X to 100%
      $XGAMMA -d 0:0 -gamma 1.000
      # shutdown display after 300s
      $XSET -d 0:0 dpms 0 0 300
   fi

   # set cpu performance state 1, throttling to 0
   echo -n 1:0 > /proc/acpi/processor/CPU0/limit
else
   exit 0
fi

# EOF
